# Safehouse Progression
### [>>[TUTORIAL_VIDEO: Set custom safehouse Scene ID]<<](https://i.imgur.com/SVJGIV4.mp4)
### [>>[TUTORIAL_VIDEO: How to Play]<<](https://i.imgur.com/MfnFAjo.mp4)

Please provide feedback after reading "Known Bugs".  
[>>[Feedback form]<<](https://forms.gle/TBEe2btHePCsGp557)  

## Latest Update
### 1.1.0 (ALPHA!)
* Enables saving your safehouse in ANY map (including mods) if you download `SceneSaveEverywhere` mod!
* Set one of the 'Scene IDs' from the maps below to swap your safehouse, see "Changing_Variables" below for instructions; one safehouse is saved per map  
  * Tutorial: [>>TUTORIAL_VIDEO: Set Scene ID](https://i.imgur.com/SVJGIV4.mp4)

**Vanilla Scene IDs:**  
```
"Grillhouse_2Story", "IndoorRange",
"GP_Hangar", "SniperRange", "ArizonaTargets", "WarehouseRange_Rebuilt",  
"Friendly45_New", "ArizonaTargets_Night", "BreachAndClear_TestScene1",  
"ProvingGround", "ObstacleCourseScene1", "NewSnowGlobe", "Wurstwurld1",  
"MF2_MainScene", "Boomskee", "Testing3_LaserSword","MeatGrinder",  
"OmnisequencerTesting3","WinterWasteland","Cappocolosseum",  
"SamplerPlatter  
```

## Buttons
**Extract-to-Safehouse**  
 - Saves your current quickbelt loadout to a Vault file.
 - Spawns you in your safehouse `GP_Hangar` map, and loads your safehouse scene config vault file.
 - Automatically equips you with the raid-extracted loadout.
 - Removes items from Vault file to avoid item duplication.

**Leave-the-Safehouse**  
- Saves your current quickbelt loadout to a Vault file. This will be your Deployment Loadout.
- Saves the current safehouse scene, `GP_Hangar` map, to a vault file.
- Spawns you in `MainMenu3`.

**Deployment-Loadout**  
- Equips the deployment loadout you saved when you pressed `Leave-the-Safehouse`
- Removes items from Vault file to avoid item duplication.

## Config Variables
**Change Safehouse Map**  
[>>TUTORIAL_VIDEO: Set Scene ID](https://i.imgur.com/SVJGIV4.mp4)  
1. Bring up your wrist menu, then click `Mod Settings`, and then click `Config Mods`
2. Find the SafehouseProgression mod in the list, click blue "Settings" button next to its name
3. Insert the **Scene ID** for the level you wish to become your new safehouse. Get Scene ID's from: https://h3vr.fandom.com/wiki/Category:Sandbox 
  - **Requirements**:
    - Map must support Scene Saving. You can check by seeing if you can save a scene from the "Save Scene" wrist menu in that map.
    - Only one safehouse per map.
    - Safehouses in different maps are independent, so you never lose your progress.
  - **Vanilla Scene IDs**:
    ```
    "Grillhouse_2Story", "IndoorRange",
    "GP_Hangar", "SniperRange", "ArizonaTargets", "WarehouseRange_Rebuilt",  
    "Friendly45_New", "ArizonaTargets_Night", "BreachAndClear_TestScene1",  
    "ProvingGround", "ObstacleCourseScene1", "NewSnowGlobe", "Wurstwurld1",  
    "MF2_MainScene", "Boomskee", "Testing3_LaserSword","MeatGrinder",  
    "OmnisequencerTesting3","WinterWasteland","Cappocolosseum",  
    "SamplerPlatter  
    ```
  - **Mod Maps Scene IDs**: Open your logs and look for any that say "Trying to save in scene:" or "Arrived in scene:"
4. Load inside your desired scene
5. Click `Leave-the-Safehouse`
6. Click `Enter-the-Safehouse`
7. You're now done!
![](https://i.imgur.com/GeT9mDN_d.webp?maxwidth=1520&fidelity=grand)

## Example Usage:
[>>[Tutorial_GIF]<<](https://i.imgur.com/MfnFAjo.mp4)
>-You finish a TnH raid, you found a ModulAR.  
>-You press `Extract-to-Safehouse` on your wrist menu and appear within the map GP_Hangar.   
>-Automatically, your raid-extracted quickbelt and your customized GP_Hangar home are loaded.  
>-You hang the ModulAR on the wall.  
>-You grab your meta SVT-40.  
>-You press `Leave-the-Safehouse` and land on the MainMenu.  
>-You start another TnH round in a different map.  
>-You press `Deployment-Loadout`, and automatically your SVT-40 loadout is equipped. You die.  
>-You press `Extract-to-Safehouse` in the Main Menu, the flare gun and ModulAR still hang on the wall of GP_Hangar.  

## Automatic Backup of Safehouse
There's a 50% chance that after you press "Leave-the-Safehouse" a back-up scene save file of your safehouse will be created. You can find it in the 'Save/Load Scene' wrist menus with the format "SCENENAME_BU_DATE&TIME":
![](https://i.imgur.com/HEwFtr5.png)

## Known Bugs
* You may lose *specific* items in your loadout or safehouse when extracting or deploying. This is expected, reach out to the authors of the missing mods to ask for a "Vault Saving Fix".
* Go report new ones here: [>>[Feedback form]<<](https://forms.gle/TBEe2btHePCsGp557)

## Planned Features
- [✓] Wrist menu button "Safehouse"
- [✓] Buttons for entering/leaving Safehouse and equipping loadout.
- [✓] Remove buggy `Deployment-Loadout` in 3rd Party Mod Maps
- [✓] Fix bug for losing safehouse or loadout with broken mods
- [✓] Config variable: Safehouse can be any map, not just `GP_Hangar`
- [✓] Config variable: Keep backups of saved Safehouse scenes

## Versions
### 1.1.3
* Fixes issue where immediately after starting the game, you couldn't load into a Modded Atlas Map Safehouse.
* Added way in Mod Config Panel to quickly switch between 3 pre-selected safehouses.
### 1.1.2
* New video tutorial for how to set custom safehouse.
### 1.1.1
* Removes left-over code from unrelated FarForeGrip mod which broke people's grips and printed bad logs.
### 1.1.0 (ALPHA!)
* Enables saving your safehouse in ANY map (including mods) if you download `SceneSaveEverywhere` mod!
* Set one of the 'Scene IDs' from the maps below to swap your safehouse, see "Changing_Variables" below for instructions; one safehouse is saved per map  
### 1.0.0
* Change which map hosts your Safehouse with config variable in Sodalite Panel
* Adds "Confirm ??" stage to Wrist Menu buttons selection (Quality of Life)
* Automatic Backup system, saves Safehouse scene 50% of the time you leave it
### 0.3.0
* Can select which map to set as Safehouse through Sodalite Panel config in-game.
* Each map only allows 1 safehouse.
### 0.2.0
* Added dependency mod [VaultSaveCompatibility](https://h3vr.thunderstore.io/package/NGA/VaultSaveCompatibility/) which fixes issues with losing safehouses and loadouts.
### 0.1.1
* Removed double-loading bug when entering Safehouse, causing default scene to load alongside your Safehouse.
* Deploying equipment in 3rd party maps seems to work fine now.
### 0.1.0
* All buttons in new Wrist-Menu "Safehouse" work as described above
* Only 1 safe file per quickbelt/scene, so it may be corrupted and lost. Use Scene Saving to save another backup file if you'd hate to lose something.